package ink.wgink.module.map.pojo.dtos.grid;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @ClassName: GridGroupDTO
 * @Description: 网格组
 * @Author: wanggeng
 * @Date: 2021/10/19 10:29 下午
 * @Version: 1.0
 */
@ApiModel
public class GridGroupDTO implements Serializable {

    @ApiModelProperty(name = "gridGroupId", value = "主键")
    private String gridGroupId;
    @ApiModelProperty(name = "gridGroupName", value = "名称")
    private String gridGroupName;
    @ApiModelProperty(name = "gridGroupCode", value = "编码")
    private String gridGroupCode;
    @ApiModelProperty(name = "gridGroupSummary", value = "描述")
    private String gridGroupSummary;
    @ApiModelProperty(name = "gridGroupDuty", value = "职责")
    private String gridGroupDuty;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;

    public String getGridGroupId() {
        return gridGroupId == null ? "" : gridGroupId.trim();
    }

    public void setGridGroupId(String gridGroupId) {
        this.gridGroupId = gridGroupId;
    }

    public String getGridGroupName() {
        return gridGroupName == null ? "" : gridGroupName.trim();
    }

    public void setGridGroupName(String gridGroupName) {
        this.gridGroupName = gridGroupName;
    }

    public String getGridGroupCode() {
        return gridGroupCode == null ? "" : gridGroupCode.trim();
    }

    public void setGridGroupCode(String gridGroupCode) {
        this.gridGroupCode = gridGroupCode;
    }

    public String getGridGroupSummary() {
        return gridGroupSummary == null ? "" : gridGroupSummary.trim();
    }

    public void setGridGroupSummary(String gridGroupSummary) {
        this.gridGroupSummary = gridGroupSummary;
    }

    public String getGridGroupDuty() {
        return gridGroupDuty == null ? "" : gridGroupDuty.trim();
    }

    public void setGridGroupDuty(String gridGroupDuty) {
        this.gridGroupDuty = gridGroupDuty;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
}
